<?php

	// check acces authorization
	session_start();
	if($_SESSION['user']!="admin"){
		echo "Unauthorized access.";
		die();
	}
	
	include("../../config.php");
	include($baseURL."css/design.php");
	include($baseURL."header.php");
	
	
?>
<!DOCTYPE html>
<html>
	<head>
		<title><?php echo $pageName?></title>
		<?php metaHeader()?>
		<style>
			button2{
				cursor: auto;
			}
		</style>
	</head>
	<body>
		<div id="main_top">
			<?php bodyHeader()?>
			<?php include($baseURL."menu.php")?>
		</div>
		<div id="main" style="text-align:center">
			<h1>New Album</h1>
			<form method="post" action="saveNewAlbum.php" enctype="multipart/form-data">
				<table style="margin:0 auto;width:75%">
					<tr>
						<td style="text-align:left;width:10%">
							Title
						</td>
						<td style="text-align:left;padding-left:10px">
							<input name="title" size="30" class="button2" value="My Album">
							<br><br>
						</td>
					</tr>
					<tr>
						<td style="text-align:left;width:10%">
							Namespace
						</td>
						<td style="text-align:left;padding-left:10px">
							<input name="namespace" size="30" class="button2" value="myAlbum"><br>This is going to be the name of the folder on your server. You will not see this directly on the page (user will see the "title"). Therefore, do not include spaces, any special symbols, only alphanumeric English symbols all in one word.
							<br><br>
						</td>
					</tr>
					<tr>
						<td style="text-align:left">
							Date
						</td>
						<td style="text-align:left;padding-left:10px">
							Year: <input name="year" size="4" class="button2" value="<?php echo date('Y')?>" type="number" min="1950" max="<?php echo date("Y")?>">&nbsp;&nbsp;
							Month: <input name="month" size="2" class="button2" value="<?php echo date('n')?>" type="number" min="1" max="12">&nbsp;&nbsp;
							Day: <input name="day" size="2" class="button2" value="<?php echo date('j')?>" type="number" min="1" max="31">
							<br><br>
						</td>
					</tr>
					<tr>
						<td style="text-align:left">
							Description
						</td>
						<td style="text-align:left;padding-left:10px">
							<textarea name="description" class="button2" rows="6" style="width:80%;display:block;text-align:left">This is my album</textarea>
							<br><br>
						</td>
					</tr>
					<tr>
						<td style="text-align:left">
							Album Cover Image/Icon
						</td>
						<td style="text-align:left;padding-left:10px">
							<input type="hidden" name="MAX_FILE_SIZE" value="1024000"> 
							<input type="file" name="coverImage"> (max 1MB)
						</td>
					</tr>
				</table>
				<br>
				<input type="submit" value="Create" class="button2">
			</form>
		</div>
		<?php include($baseURL."footer.php")?>
	</body>
</html>