<?php 

	// error_reporting(E_ALL);
	// check acces authorization
	session_start();
	if($_SESSION['user']!="admin"){
		echo "Unauthorized access.";
		die();
	}
	
	include("../../config.php");
	
	$albumInfo['title'] = trim($_POST['title']);
	$albumInfo['namespace'] = trim($_POST['namespace']);
	$albumInfo['description'] = trim($_POST['description']);
	$albumInfo['date'] = strtotime($_POST['year']."-".$_POST['month']."-".$_POST['day']);
	
	// cover icon/image
	$coverImageOK = false;
	// make sure we have image type data
	$info = getimagesize($_FILES['coverImage']['tmp_name']);
	if (($info['mime'] === "image/jpg") || ($info['mime'] === "image/jpeg") || ($info['mime'] === "image/gif") || ($info['mime'] === "image/png")) {
		// check image size
		$coverImageSize = $_FILES['coverImage']['size'];
		if($coverImageSize<1024000){
			$coverImageOK = true;
		}
		else{
			echo "<script>alert('The uploaded file is too big.');</script>";
		}
	} 
	else{
		echo "<script>alert('The uploaded file is not an image file or no image specified.');</script>";
	}
	
	// create album directory
	if(!is_dir("albums")){
		mkdir("albums");
	}
	if(!is_dir("thumbnails")){
		mkdir("thumbnails");
	}
	
	// check that album with this name does not already exist
	if(is_dir("albums/".$albumInfo['namespace'])){
		echo "<script>alert('Album with this name already exists!');</script>";
		die();
	}
	
	mkdir("albums/".$albumInfo['namespace']);
	mkdir("thumbnails/".$albumInfo['namespace']);
	if(!is_dir("albums/".$albumInfo['namespace'])){
		echo "<script>alert('The album directory could not be created, make sure that permissions for the photo gallery plugin folder are set to writable.');</script>";
	}
	
	// save album info
	file_put_contents("albumInfos/".$albumInfo['namespace'].".txt",json_encode($albumInfo));
	
	// save album cover image if it is ok
	if($coverImageOK){
		// get extension
		$extension = getExtension($_FILES["coverImage"]["name"]);
		
		// save cover icon
		if(move_uploaded_file($_FILES['coverImage']['tmp_name'], "albumCovers/".$albumInfo['namespace'].".".$extension)){

		}
		else{
			echo "<script>alert('Unable to save image cover icon.');</script>";
		} 
	}
	
	function getExtension($filename){ 
		$filenameArr = explode(".",$filename); 
		$n = count($filenameArr)-1; 
		$extension = $filenameArr[$n];
		return $extension; 
	} 
	
	echo "<script>location='albumList.php';</script>";
?>